<template>
    <v-card class="overflow-hidden">
        <v-app-bar
        absolute
        color="indigo darken-2"
        dark
        shrink-on-scroll
        prominent
        scroll-target="#scrolling-techniques"
        >
            <v-app-bar-nav-icon></v-app-bar-nav-icon>

            <v-app-bar-title>Lorem ipsum</v-app-bar-title>

            <v-spacer></v-spacer>

            <v-btn icon>
                <v-icon>mdi-magnify</v-icon>
            </v-btn>

            <v-btn icon>
                <v-icon>mdi-heart</v-icon>
            </v-btn>

            <v-menu
                bottom
                left
            >
                <template v-slot:activator="{ on, attrs }">
                    <v-btn
                        icon
                        color="white"
                        v-bind="attrs"
                        v-on="on"
                    >
                        <v-icon>mdi-dots-vertical</v-icon>
                    </v-btn>
                </template>

                <v-list class="mt-8">
                    <v-list-item>
                        <v-list-item-title >Perfil</v-list-item-title>
                    </v-list-item>

                    <v-list-item @click="store.dispatch('closeSession')">
                        <v-list-item-title >Salir</v-list-item-title>
                    </v-list-item>
                </v-list>

            </v-menu>

        </v-app-bar>
        <v-sheet
        id="scrolling-techniques"
        class="overflow-y-auto"
        max-height="600"
        >
            <v-container style="height: 1000px;"></v-container>
        </v-sheet>
    </v-card>
</template>
<script setup>
    import { onMounted } from 'vue';
    import store from '@/store';

    onMounted(() => {
        store.dispatch('loadStorage')
    })

</script>
<style>

</style>